Name:           zyGrib
Version:        5.0.6
Release:        4%{?dist}
Summary:        Visualization of meteo data from files in GRIB Format 1 
Group:          Applications/Internet
License:        GPLv3+
URL:            http://www.zygrib.org
##              Source URL is: http://www.zygrib.org/getfile.php?file=zyGrib-3.9.8.tgz
Source0:        %{name}-%{version}.tgz 
Source1:        %{name}.png
Source2:        %{name}.README
Source3:        %{name}.desktop
Source4:        %{name}.INSTALL
Patch1:         zyGrib-libs.patch
# https://bugzilla.redhat.com/733855
Patch3:         zyGrib-installdata.patch
BuildRequires:  bzip2-devel qt4-devel proj-devel desktop-file-utils qwt-devel
Requires:       qt-x11 proj qwt liberation-fonts-common
%description
ZyGrib is a GRIB file viewer. It enables :

Visualization of meteo data from files in GRIB Format
Automatic GRIB data download
Automatic Download from IAC (fleet-code) Data
Roh or compressed GRIB Data (gzip *.gz; bzip2 *.bz2) can be used

%prep
%setup -q
rm -rf src/bzip2
rm -rf src/zlib-*
rm -rf src/proj-*
# Adding docs files
cp -pr %{SOURCE2} %{_builddir}/%{name}-%{version}/README
cp -pr %{SOURCE4} %{_builddir}/%{name}-%{version}/INSTALL
#  Fedora specific replace
sed -i 's/qwt-qt4/qwt/g' src/zyGrib.pro
sed -i 's/qmake/qmake-qt4/g' Makefile
# https://bugzilla.redhat.com/733855
sed -i -e 's:QDir\:\:current():"%{_datadir}\/%{name}\/":' src/util/Settings.cpp
sed -i -e 's:data/::g' src/util/Util.h src/curvedrawer/CurveDrawerDialog.ui src/Makefile src/zyGrib.pro
%patch1 -p1
%patch3 -p1

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE3}
make install DESTDIR=%{buildroot}
## install -d -m755 %{buildroot}%{_bindir}
## install -D -m755 src/%{name} %{buildroot}%{_bindir}
## install -d -m755 %{buildroot}%{_datadir}/%{name}/tr
## cp -pr data/maps %{buildroot}%{_datadir}/%{name}
## cp -pr data/img %{buildroot}%{_datadir}/%{name}
## install -D -m644 data/tr/*.qm %{buildroot}%{_datadir}/%{name}/tr
install -d -m755 %{buildroot}%{_datadir}/pixmaps
install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps
install -d -m755 %{buildroot}%{_datadir}/applications


%files
%defattr(-,root,root,-)
%doc README INSTALL
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Nov 07 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 5.0.6-4
- New release
- Fix path (#746896, #746897, #746892, #746897, #751521)

* Sat Aug 27 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 5.0.4-2
- Fix maps path (#733855)

* Sun Aug 07 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 5.0.4-1
- New release

* Fri Aug 05 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 5.0.2-1
- New version

* Wed Mar 09 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 3.9.9-3
- Remove system-wide libraries
- Add font Requires
- Replace pointless macros

* Wed Jan 12 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 3.9.9-2
- Replace patch to sed
- Remove clean section and BuildRoot

* Tue Jan 11 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 3.9.9-1
- Update to 3.9.9

* Tue Jan 11 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 3.9.8-2
- Add README file, fixed spec errors
- Add desktop file

* Fri Dec 31 2010 Pavel Zhukov <landgraf@fedoraproject.org> - 3.9.8-1
- Initial package
